Loading...
Searching...
No Matches
NMR spectra and related classes
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy

## Classes

class | BALL::CreateSpectrumProcessor
class | BALL::Experiment< PeakListType >
class | BALL::SimpleExperiment1D
class | BALL::Peak< PositionType >
class | BALL::PeakList< PT >
class | BALL::Spectrum< DataT, PeakT, PositionT >

## Typedefs

typedef Spectrum< RegularData1D, Peak1D > | BALL::Spectrum1D
| One-dimensional spectrum.

## Functions

BALL_EXPORT const RegularData1D & | BALL::operator<< (RegularData1D &data, const PeakList1D &peak_list)

## Detailed Description

## Typedef Documentation

## Spectrum1D

typedef Spectrum<RegularData1D, Peak1D> BALL::Spectrum1D

One-dimensional spectrum.

Convenience typedefs

Definition at line 319 of file spectrum.h.

## Function Documentation

## operator<<()

BALL_EXPORT const RegularData1D & BALL::operator<< | ( | RegularData1D & | data,
|  | const PeakList1D & | peak_list )

Create a simulated spectrum from a peak list. Using this operator, a peak list is converted to a gridded representation of the spectrum. The spectrum synthesis is based upon the assumption of a Lorentzian line shape. Peak width, position, and height are taken from each individual peak of the peak list. Each point in the RegularData1D array is assigned the sum of all Lorentzians centered at the peak positions:

where is the shift coordinate and each peak is defined by its position , intensity , and width .